<?php

namespace Litematrimony\Reference\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Visit policy
        'Litematrimony\Reference\Models\Visit' => \Litematrimony\Reference\Policies\VisitPolicy::class,// Bind Shortlist policy
        'Litematrimony\Reference\Models\Shortlist' => \Litematrimony\Reference\Policies\ShortlistPolicy::class,// Bind Request policy
        'Litematrimony\Reference\Models\Request' => \Litematrimony\Reference\Policies\RequestPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
